<?php
error_reporting(0);

@header('Content-Type: text/html; charset=utf-8');
if(file_exists("../../c/einstall/install.off"))
{
	echo"《帝國網站管理系統》安裝程序已鎖定。如果要重新安裝，請刪除<b>/c/einstall/install.off</b>文件！";
	exit();
}

//安裝密碼
$ins_password='';
$ins_pwvar='';
$ins_insretime=0;
include('data/fun.php');
include('ins_config.php');

if($_POST['ecms']=='inslogin')
{
	eins_CkFormInsPass($_POST['inspass']);
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>帝國網站管理系統安裝程序 - Powered by EmpireCMS</title>
<link href="images/css.css" rel="stylesheet" type="text/css">
</head>

<body>
  <p>&nbsp;</p>
  <p><br>
  </p>
  <table width="660" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
  <form name="form1" method="post" action="inslogin.php">
  <input name="ecms" type="hidden" id="ecms" value="inslogin">
    <tr class="header">
      <td height="32"><div align="center">帝國網站管理系統安裝程序</div></td>
    </tr>
	<?php
	if(!$ins_password)
	{
	?>
    <tr>
      <td height="32" bgcolor="#FFFFFF"><div align="center"><font color="#FF0000"><strong>提示：您還沒有設置安裝密碼，無法進入。</strong></font></div></td>
    </tr>
	<?php
	}
	?>
    <tr>
      <td height="32" bgcolor="#FFFFFF"><div align="center">請輸入安裝密碼：
          <input name="inspass" type="password" id="inspass" size="30">
          <input type="submit" name="Submit" value="進入安裝程序">
      </div></td>
    </tr>
    <tr>
      <td height="32" bgcolor="#FFFFFF"><div align="center"><font color="#666666">（安裝密碼設置：修改 /e/install/ins_config.php 文件裡的「$ins_password」變量內容）</font></div></td>
    </tr>
	</form>
  </table>
</body>
</html>
